%define oname   shotgun

Name:       ruby-%{oname}
Version:    0.9
Release:    %mkrel 7
Summary:    Reloading rack development server
License:    MIT
Group:      Development/Ruby
URL:        http://rtomayko.github.com/shotgun/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
reloading rack development server

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install
mkdir -p %{buildroot}%{_mandir}/man1
install man/shotgun.1 %{buildroot}%{_mandir}/man1
rm -rf %{buildroot}%{gem_instdir}/man

%files
%{_bindir}/shotgun
%dir %{gem_instdir}/
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_spec}
%doc %{_mandir}/man1/shotgun.1.*

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/test
%doc README


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.9-7.mga4
+ Revision: 562493
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.9-6.mga4
+ Revision: 538883
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 pterjan <pterjan> 0.9-5.mga4
+ Revision: 490861
- Use gem_setup
- Install manpage
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.9-4.mga3
+ Revision: 396470
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.9-3.mga3
+ Revision: 381464
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.9-2.mga3
+ Revision: 313921
- rebuild for new ruby

* Thu Jun 07 2012 solbu <solbu> 0.9-1.mga3
+ Revision: 256714
- New version
- Spec cleanup

* Sat Feb 12 2011 shikamaru <shikamaru> 0.8-1.mga1
+ Revision: 51053
- imported package ruby-shotgun


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.8-1
- Initial package
